VZAgent returned error #10201 error invoking pva-setup utility

Discussion in 'Performance Questions' started by KostasBiznet, Mar 8, 2013.

  1. KostasBiznet

    KostasBiznet Bit Poster

    Messages:
    1
    Hello,

    Im trying to update PVA and when i clikc update it says Failed:

    Possible reasons

    * Error preparing to check for updates.

    Possible solutions

    * Please check the repository settings.
    * Check the error details and call the Node administrator for support.
    Hide Technical Details

    VZAgent returned error #10201
    error invoking pva-setup utility: Failed to get list of PVA updates. [ERROR] Unsupported Linux distribution.
    PVA 4.6 can be installed on RHEL 3, RHEL 4, RHEL 5, RHEL 6, CentOS 3, CentOS 4, CentOS 5, CentOS 6, SLES9, SLES 10, SLES11 only.

    I have checked the /etc/redhat-release and /etc/centos-release and both of them are: CentOS release 6.3 (Final).I need to fix this cause currently i cannot backup nodes(Its some kind of bug in PVA).

    Versions:

    Name Version Release
    pva-release 4.6 1879
    pva-cp-core 4.6 472
    pva-cp-parallels 4.6 370
    pva-cp-plesk 4.6 107.5
    pva-cp-virtuozzo 4.6 347.1


    Thank you,
    Kostas
     
  2. Andrew@Parallels

    Andrew@Parallels Kilo Poster

    Messages:
    22
    Hi Kostas,

    Please try to follow this workaround:

    Run
    # mv /etc/centos-release{,~}
    # echo 'CentOS release 5.9 (Final)' > /etc/redhat-release

    Update PVA from GUI and revert the changes back:
    # mv -f /etc/redhat-release{~,}
     

Share This Page